Alibaba Cloud Express Connect
Use the Equinix Customer Portal or API to create the connection from your Fabric Port, Fabric Cloud Router, or Network Edge virtual device to Alibaba Cloud Express Connect. Alibaba Cloud Express Connect connects on-premise Equinix data centers to the Alibaba Cloud through a dedicated partner backbone network.
For more information, see Express Connect in the Alibaba Cloud Document Center.
Overview
Equinix supports connecting to Alibaba Cloud through the Alibaba Cloud Express Connect service profile.
Locations
| APAC | AMER | EMEA |
|---|---|---|
| Hong Kong (HK) Singapore (SG) Tokyo (TY) | Ashburn (DC) Silicon Valley (SV) | Frankfurt (FR) London (LD) |
Bandwidth Options
- 50 Mbps
- 200 Mbps
- 500 Mbps
- 1000 Mbps
Prerequisites
In order to establish a connection to Alibaba Cloud you must have:
-
An account on Alibaba Cloud Express Connect and access to the Alibaba Cloud Express Connect console.
-
An Alibaba Cloud Express Connect Express Connect circuit; either dedicated or shared. For more information, see Connection over an Express Connect circuit.
注意To connect to Alibaba Express Connect through a dedicated cross connect (Single Mode Fiber), you must submit an order through the Alibaba Cloud portal.
-
Your Alibaba Account ID from the Alibaba Cloud Express Connect Console.
-
A Fabric port, an A-side service token, a Fabric Cloud Router, or a Network Edge virtual device.
-
In order to create connections in Fabric, you must have the
Fabric Connections Managerrole.
Creating the Connection in Fabric
- Portal
- API
-
Sign in to the Customer Portal and navigate to Find a Service Provider.
-
Use the search bar to search for "Alibaba Cloud".

-
On the Alibaba Cloud card, click Connect. From the Create a connection panel, click Create Connection.

If you are connecting using a Network Edge virtual device, click Create Connection(Network Edge Device), and skip to the virtual device section.
-
Review the steps for creating the connection and click Okay.
-
Enter your Alibaba information.
-
Select the Metro and region where you are connecting to.
-
Enter your Alibaba Cloud Account ID.

-
-
Click Next to configure your connection based on origin asset type: port, service token, cloud router.
-
Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to API Authentication for instructions on how to call OAuth API to validate and authenticate your credentials.
-
Determine Your A-side Information. Either:
- Determine your Equinix Fabric ports information by sending a
GETrequest to the/fabric/v4/portsendpoint. You need the port UUID(s) and the link protocol type (DOT1Q or QINQ),
OR
- Retrieve your a-side service token or tokens by sending a
GETrequest to the/fabric/v4/serviceTokensendpoint. You need the token's UUID. The a-side token provides the relevant information to configure the a-side of the connection.
OR
- Determine your Fabric Cloud Router information. Check your available cloud routers by sending a
POSTrequest to the/fabric/v4/routers/searchendpoint. You need the router's UUID.
OR
- Determine your Network Edge device information. Check your available virtual devices and clusters by sending a
GETrequest to the/ne/v1/devicesendpoint. You need the device UUID(s). Send aGETrequest to the/ne/v1/devices/{device_id}endpoint to get the specifics of a device. You may choose any available interface on the device for your connection. If you do not specify one, the connection is automatically assigned to the next available interface.
- Determine your Equinix Fabric ports information by sending a
-
Get the Alibaba Cloud Express Connect service profile information. Use the Retrieve Service Profiles API request to search for a specific service profile or use the Get Service Profiles API request to list all available service profiles. You need the Alibaba Cloud Express Connect service profile's UUID and the location that you want to connect to in the
sellerRegionfield.- Alibaba Cloud Express Connect -
4c4b8edf-873b-4c6c-805a-edb2c335bd6c
- Alibaba Cloud Express Connect -
Connecting from a Port
- Portal
- API
-
From the Origin Asset Type drop-down list, select Port.
-
In the Primary Connection section:
-
Click + Select Primary Port, then select your primary connection port and click Select Port. Only primary ports are available for selection.

-
Enter the primary connection name.
-
Select a bandwidth.
-
Enter a VLAN ID (applicable to DOT1Q ports) or a Customer VLAN Tag (C-tag) and a Service VLAN Tag (S-tag) (applicable to QINQ ports).
-
-
In the Secondary Connection section:
- Click + Select Secondary Port, then select your secondary connection port and click Select Port. Only secondary ports are available for selection.
- Enter the secondary connection name.
- Select a bandwidth.
- Enter a VLAN ID (applicable to DOT1Q ports) or a Customer VLAN Tag (C-tag) and a Service VLAN Tag (S-tag) (applicable to QINQ ports).
-
(Optional) Choose whether to enable Geo Zones. The default is Disabled.
-
Select the Term Length.
-
Click Next.
-
On the Review Order and Additional Information page, review the information in the Connection Configuration sections.
-
Use the Notifications field to provide the email addresses of the recipients to be notified about the connection's status. You can add up to 12 email addresses.
-
(Optional) Enter or add order information in the Purchase Order section.
-
Provide a customer reference identifier that will help you identify this order on your invoice.
-
Click Show Order Summary to see order details and connection pricing information.
When you are ready, click Create Connection.
To create a connection from your DOT1Q port to Alibaba Cloud Express Connect, send a POST request to the /fabric/v4/connections endpoint.
Provide your port information in the aSide object including:
accessPoint.typeasCOLO- Provide your port's UUID to
port.uuid - linkProtocol.type as
DOT1Q - Provide the VLAN ID to
linkProtocol.vlanTag
Provide the Alibaba Cloud details and location details in the zSide object including:
- Set
accessPoint.typeasSP. - Set
profile.typeasL2_PROFILE. - Specify the Express Connect service profile you are connecting to in
profile.uuid. - Specify the Equinix Metro location you are connecting to in
location.metroCode. - Specify the Express Connect region associated with the Equinix Metro in
sellerRegion. - Set
authenticationKeyas your Alibaba Cloud Account ID.
Sample cURL Request:
curl -X POST 'https://api.equinix.com/fabric/v4/connections' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"type": "EVPL_VC",
"name": "<connection_name>,
"bandwidth": <bandwidth_speed>,
"redundancy": {
"priority": "<redundancy_code>"
},
"aSide": {
"accessPoint": {
"type": "COLO",
"port": {
"uuid": "<port-uuid>"
},
"linkProtocol": {
"type": "DOT1Q",
"vlanTag": <vlan-id>
}
}
},
"zSide": {
"accessPoint": {
"type": "SP",
"profile": {
"uuid": "<alibaba_service_profile_uuid>"
},
"location": {
"metroCode": "<equinix_metro_code>"
},
"authenticationKey": "<alibaba_cloud_account_id>",
"sellerRegion": "<alibaba_region_id>"
}
},
"notifications": {
"type": "ALL",
"emails": [
"<contact_email>",
"<contact_email>"
]
}
}'
To create a connection from your QINQ port to Alibaba Cloud Express Connect, send a POST request to the /fabric/v4/connections endpoint.
Provide your port information in the aSide object including:
- Set
accessPoint.typeasCOLO - Provide your port's UUID to
port.uuid linkProtocol.typeasQINQ- Provide the inner tag ID to
linkProtocol.vlanCTag - Provide the outer tag ID to
linkProtocol.vlanSTag
Provide the Alibaba Cloud details and location details in the zSide object including:
- Set
accessPoint.typeasSP. - Set
profile.typeasL2_PROFILE. - Specify the Express Connect service profile you are connecting to in
profile.uuid. - Specify the Equinix Metro location you are connecting to in
location.metroCode. - Specify the Express Connect region associated with the Equinix Metro in
sellerRegion. - Set
authenticationKeyas your Alibaba Cloud Account ID.
Sample cURL Request:
curl -X POST 'https://api.equinix.com/fabric/v4/connections' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"type": "EVPL_VC",
"name": "<connection_name>,
"bandwidth": <bandwidth_speed>,
"redundancy": {
"priority": "<redundancy_code>"
},
"aSide": {
"accessPoint": {
"type": "COLO",
"port": {
"uuid": "<port_uuid>"
},
"linkProtocol": {
"type": "QINQ",
"vlanCTag": <vlan_tag>,
"vlanSTag": <vlan_tag>
}
}
},
"zSide": {
"accessPoint": {
"type": "SP",
"profile": {
"uuid": "<alibaba_service_profile_uuid>"
},
"location": {
"metroCode": "<equinix_metro_code>"
},
"authenticationKey": "<alibaba_cloud_account_id>",
"sellerRegion": "<alibaba_region_id>"
}
},
"notifications": {
"type": "ALL",
"emails": [
"<contact_email>",
"<contact_email>"
]
}
}'
Connecting from a Service Token
- Portal
- API
-
From the Origin Asset Type drop-down list, select Service Token.
-
In the Primary Connection section:
-
Click + Enter Primary Service Token, provide the service token, then click Redeem Service Token.
-
Enter the primary connection name.
-
Select a bandwidth.
-
-
In the Secondary Connection section:
- Click + Enter Secondary Service Token, provide the service token, then click Redeem Service Token.
- Enter the secondary connection name.
- Select a bandwidth.
-
Click Next.
-
On the Review Order and Additional Information page, review the information in the Connection Configuration sections.
-
Use the Notifications field to provide the email addresses of the recipients to be notified about the connection's status. You can add up to 12 email addresses.
-
(Optional) Enter or add order information in the Purchase Order section.
-
Provide a customer reference identifier that will help you identify this order on your invoice.
-
Click Show Order Summary to see order details and connection pricing information.
When you are ready, click Create Connection.
To create a connection to Alibaba Cloud Express Connect using an A-side Service Token, send a POST request to the /fabric/v4/connections endpoint. The connection type is EVPL_VC.
Provide your Service Token UUID in the aSide object. The service token provides all other necessary information to establish the connection.
Provide the Alibaba Cloud details and location details in the zSide object including:
- Set
accessPoint.typeasSP. - Set
profile.typeasL2_PROFILE. - Specify the Express Connect service profile you are connecting to in
profile.uuid. - Specify the Equinix Metro location you are connecting to in
location.metroCode. - Specify the Express Connect region associated with the Equinix Metro in
sellerRegion. - Set
authenticationKeyas your Alibaba Cloud Account ID.
Sample cURL Request:
curl -X POST 'https://api.equinix.com/fabric/v4/connections' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"type": "EVPL_VC",
"name": "<your_connection_name>",
"bandwidth": <connection_speed>,
"redundancy": {
"priority": "<redundancy_code>"
},
"aSide": {
"serviceToken": {
"uuid": "<service-token-uuid>"
}
},
"zSide": {
"accessPoint": {
"type": "SP",
"profile": {
"uuid": "<alibaba_service_profile_uuid>"
},
"location": {
"metroCode": "<equinix_metro_code>"
},
"authenticationKey": "<alibaba_cloud_account_id>",
"sellerRegion": "<alibaba_region_id>"
}
},
"notifications": {
"type": "ALL",
"emails": [
"<contact_email>",
"<contact_email>"
]
}
}'
Connecting from a Fabric Cloud Router
- Portal
- API
-
From the Origin Asset Type drop-down list, select Cloud Router.
-
Click + Select Cloud Router, select a cloud router instance, then click Select Cloud Router.
-
In the Primary Connection section:
- Enter the primary connection name.
- Select a bandwidth. The bandwidth value you select will also apply to the secondary connection.
-
If you are creating a Redundant Connection, enter your secondary connection name in the Secondary Connection section. The bandwidth value you selected for the primary connection is also applied to the secondary connection.
-
(Optional) You can configure Border Gateway Protocol (BGP) routing details, or wait to configure BGP after the connection creation process is complete. Select Configure Routing Details and provide the required information.
-
Click Next.
-
On the Review Order and Additional Information page, review the information in the Connection Configuration sections.
-
Use the Notifications field to provide the email addresses of the recipients to be notified about the connection's status. You can add up to 12 email addresses.
-
(Optional) Enter or add order information in the Purchase Order section.
-
Provide a customer reference identifier that will help you identify this order on your invoice.
-
Click Show Order Summary to see order details and connection pricing information.
When you are ready, click Create Connection.
To create a connection from your cloud router to FastConnect, send a POST request to the /fabric/v4/connections endpoint. The connection type is IP_VC.
Specify your Fabric Cloud Router in the aSide object including:
- Set
accessPoint.typeasCLOUD_ROUTER. - Set
router.uuidas your router's UUID.
Provide the Alibaba Cloud details and location details in the zSide object including:
- Set
accessPoint.typeasSP. - Set
profile.typeasL2_PROFILE. - Specify the Express Connect service profile you are connecting to in
profile.uuid. - Specify the Equinix Metro location you are connecting to in
location.metroCode. - Specify the Express Connect region associated with the Equinix Metro in
sellerRegion. - Set
authenticationKeyas your Alibaba Cloud Account ID.
Sample cURL Request:
curl -X POST 'https://api.equinix.com/fabric/v4/connections' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"type": "IP_VC",
"name": "<your_connection_name>",
"bandwidth": <connection_speed>,
"redundancy": {
"priority": "<redundancy_code>"
},
"aSide": {
"accessPoint": {
"type": "CLOUD_ROUTER",
"router": {
"uuid": "<cloud_router_uuid>"
}
}
},
"zSide": {
"accessPoint": {
"type": "SP",
"profile": {
"uuid": "<alibaba_service_profile_uuid>"
},
"location": {
"metroCode": "<equinix_metro_code>"
},
"authenticationKey": "<alibaba_cloud_account_id>",
"sellerRegion": "<alibaba_region_id>"
}
},
"notifications": {
"type": "ALL",
"emails": [
"<contact_email>",
"<contact_email>"
]
}
}'
Connecting from a Network Edge Virtual Device
- Portal
- API
-
Review the steps for creating the connection and click Create a Connection to Alibaba Cloud Express Connect.
-
On the Select Locations page, provide location details for the Origin and Destination of the connection.
In the Origin section:
- Click Virtual Device, and select the location of the device you want to use.
- Select the Virtual Device Type from available single or redundant devices. And then select the Connection Type. You can choose single connections or redundant connections.
- Select the specific virtual device(s) to use for the connection.
In the Destination section, select the Express Connect location to connect to.

-
Click Next.
-
On the Connection Details page, provide additional connection information.
-
Give your connection a name in Connection Information. If you are creating redundant connections, give the second connection a name in Redundant Connection Information.
-
In the Account ID field, enter your Alibaba Cloud Account ID. If you are creating redundant connections, you can optionally enter a second Alibaba Cloud Account ID.
-
Select whether to use the next available interface or manually select with interfaces to use for the connections in Interface Selection.
-
(Optional) In the Purchase Order Number field, enter your PO number.

-
In Primary Connection Speed, select a Billing Tier and Speed combination. If you are creating redundant connections, select a Billing Tier and Speed combination in Secondary Connection Speed.

-
-
Click Next.
-
On the Review page, review the information in Primary Connection Summary, Secondary Connection Summary (if you're creating redundant connections), and the Pricing Overview.
-
Use the Notifications field to provide the email addresses of the recipients to be notified about the connection's status. You can add up to 12 email addresses.
-
Click Submit Order.
To create a connection from your Network Edge device to Alibaba Express Connect, send a POST request to the /fabric/v4/connections endpoint.
Define your Network Edge device in the aSide object including:
accessPoint.typeasVDvirtualDevice.typeasEDGEvirtualDevice.uuidas your device's UUID
Provide the Alibaba Cloud details and location details in the zSide object including:
- Set
accessPoint.typeasSP. - Set
profile.typeasL2_PROFILE. - Specify the Express Connect service profile you are connecting to in
profile.uuid. - Specify the Equinix Metro location you are connecting to in
location.metroCode. - Specify the Express Connect region associated with the Equinix Metro in
sellerRegion. - Set
authenticationKeyas your Alibaba Cloud Account ID.
Sample cURL Request:
curl -X POST 'https://api.equinix.com/fabric/v4/connections' \
-H 'content-type: application/json' \
-H 'authorization: Bearer <token>' \
-d '{
"type": "EVPL_VC",
"name": "<connection-name>",
"bandwidth": <bandwidth-speed>,
"aSide": {
"accessPoint": {
"type": "VD",
"virtualDevice": {
"type": "EDGE",
"uuid": "<virtual-device-uuid>"
}
}
},
"zSide": {
"accessPoint": {
"type": "SP",
"profile": {
"uuid": "<alibaba_service_profile_uuid>"
},
"location": {
"metroCode": "<equinix_metro_code>"
},
"authenticationKey": "<alibaba_cloud_account_id>",
"sellerRegion": "<alibaba_region_id>"
}
},
"notifications": {
"type": "ALL",
"emails": [
"<contact_email>",
"<contact_email>"
]
}
}'
Monitoring the Connection Status
- Portal
- API
Once you have created the connection, it appears in your Connections Inventory where you can monitor its status.
Once you have created the connection, send a GET request to the fabric/v4/connections/{connectionId} endpoint to monitor connection status.
equinixStatus attribute values | providerStatus attribute values | Alibaba Cloud status | Description |
|---|---|---|---|
PROVISIONING | NOT_AVAILABLE | - | Connection request has not been sent to Alibaba yet. |
PROVISIONED | PENDING_APPROVAL | Pending creation | The connection awaits for approval. |
PROVISIONED | PROVISIONING / PROVISIONED | Create in progress | Connection establishment in progress. |
PROVISIONED | PROVISIONED | Active | Connection established. |
Charges begin as soon as the connection request is submitted.
Alibaba Cloud - Accept and Pay
- Log in to Alibaba Express Connect Management Console.
- From the menu, select Physical Connections.
- Identify the newly created instance and click Accept and Pay.
Note that you must first accept the Outbound Data Transfer Billing terms before you can accept the connection.
For more information, refer to Billing - Pricing | Alibaba Cloud Documentation Center.
Alibaba Cloud - Create the Virtual Border Router
A Virtual Border Router (VBR) is the gateway that provides communication between a Virtual Private Cloud (VPC) and an on-premises data center. You can create the VBR in Alibaba Cloud after you create the connection in the Equinix Customer Portal.
Follow the instructions on Create and Manage VBRs.
-
Enter the IPv4 address for the Alibaba Gateway an the IPv4 address for your cloud router, virtual device, or other layer 3 infrastructure on the Equinix-side of the connection.
-
Enter the subnet mask.
-
Verify that the VLAN ID assigned to your connection on the Equinix-side is the same VLAN ID associated with your VBR on your Alibaba Console.
De-provisioning an Alibaba Express Connect Connection
To delete your connection to Alibaba Cloud:
-
Delete the Virtual Border Router in the Alibaba Cloud console.
-
Delete the connection in the Alibaba Cloud console.
-
The connection is automatically deleted from Fabric after it is cleared in the Alibaba Cloud console.